From 84651ee872f9ea6dbaed986fd3818202933a8b50 Mon Sep 17 00:00:00 2001
From: Karolina Surma <ksurma@redhat.com>
Date: Wed, 5 Jun 2024 09:49:49 +0200
Subject: [PATCH] Adjust tests for Python 3.13

---
 tests/test_munch.py | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/tests/test_munch.py b/tests/test_munch.py
index c80b757..5886fdd 100644
--- a/tests/test_munch.py
+++ b/tests/test_munch.py
@@ -225,6 +225,15 @@ def test_reserved_attributes(attrname):
         assert attr == 'munch'
     elif attrname == '__dict__':
         assert attr == {}
+    elif attrname == '__static_attributes__':
+        # Python 3.13: added __static_attributes__ attribute, populated by the
+        # compiler, containing a tuple of names of attributes of this class
+        # which are accessed through self.X from any function in its body.
+        assert isinstance(attr, tuple)
+    elif attrname == '__firstlineno__':
+        # Python 3.13: added __firstlineno__ attribute, populated by the
+        # compiler, containing the line number of the first line of the class definition
+        assert isinstance(attr, int)
     else:
         assert callable(attr)
 
